# Class goog.testing.stacktrace.Frame

code »

Class representing one stack frame.

## Constructor

goog.testing.stacktrace.Frame ( context, name, alias, args, path )

Parameters

context: `string`
  Context object, empty in case of global functions or if the browser doesn't provide this information.
name: `string`
  Function name, empty in case of anonymous functions.
alias: `string`
  Alias of the function if available. For example the function name will be 'c' and the alias will be 'b' if the function is defined as `a.b = function c() {};`.
args: `string`
  Arguments of the function in parentheses if available.
path: `string`
  File path or URL including line number and optionally column number separated by colons.

Show:Public Protected Private

## Instance Methods

code »getName ( ) ⇒ `string`

Returns

The function name or empty string if the function is anonymous and the object field which it's assigned to is unknown.

code »isAnonymous ( ) ⇒ `boolean`

Returns

Whether the stack frame contains an anonymous function.

code »toCanonicalString ( ) ⇒ `string`

Brings one frame of the stack trace into a common format across browsers.

Returns

Pretty printed stack frame.

## Instance Properties

code »alias_ : `string`
code »args_ : `string`
code »context_ : `string`
code »name_ : `string`
code »path_ : `string`